com.jogamp.nativewindow

## Class DelegatedUpstreamSurfaceHookMutableSize

- java.lang.Object
- - com.jogamp.nativewindow.UpstreamSurfaceHookMutableSize
  - - com.jogamp.nativewindow.DelegatedUpstreamSurfaceHookMutableSize

- All Implemented Interfaces:
    UpstreamSurfaceHook, UpstreamSurfaceHook.MutableSize

      public class DelegatedUpstreamSurfaceHookMutableSize
      extends UpstreamSurfaceHookMutableSize

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.media.nativewindow.UpstreamSurfaceHook

      `UpstreamSurfaceHook.MutableSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatedUpstreamSurfaceHookMutableSize(UpstreamSurfaceHook upstream, int width, int height)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(ProxySurface s)` called within `ProxySurface.createNotify()` within lock, before using surface.
    `void` | `destroy(ProxySurface s)` called within `ProxySurface.destroyNotify()` within lock, before clearing fields.
    `String` | `toString()`

    - ### Methods inherited from class com.jogamp.nativewindow.UpstreamSurfaceHookMutableSize

      `getSurfaceHeight, getSurfaceWidth, getUpstreamSurface, setSurfaceSize`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatedUpstreamSurfaceHookMutableSize

          public DelegatedUpstreamSurfaceHookMutableSize(UpstreamSurfaceHook upstream,
                                                 int width,
                                                 int height)

      Parameters:
        `upstream` - optional upstream UpstreamSurfaceHook used for `create(ProxySurface)` and `destroy(ProxySurface)`.
        `width` - initial width
        `height` - initial height

  - ### Method Detail

    - #### create

          public final void create(ProxySurface s)

      Description copied from interface: `UpstreamSurfaceHook`
      called within `ProxySurface.createNotify()` within lock, before using surface.
      Specified by:
        `create` in interface `UpstreamSurfaceHook`
      Overrides:
        `create` in class `UpstreamSurfaceHookMutableSize`

    - #### destroy

          public final void destroy(ProxySurface s)

      Description copied from interface: `UpstreamSurfaceHook`
      called within `ProxySurface.destroyNotify()` within lock, before clearing fields.
      Specified by:
        `destroy` in interface `UpstreamSurfaceHook`
      Overrides:
        `destroy` in class `UpstreamSurfaceHookMutableSize`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `UpstreamSurfaceHookMutableSize`

Copyright 2010 JogAmp Community.